Aller au contenu principal

Smart-lists API

Auto-generated from the OpenAPI spec. Run node docs-site/scripts/fetch-openapi.js to regenerate.

GET /api/v1/smartlists​

List Smart Lists

Responses

  • 200 — Successful Response

POST /api/v1/smartlists​

Create Smart List

Request body

FieldRequiredTypeDescription
nameYesstring
descriptionNostring
filtersNoobject

Responses

  • 201 — Successful Response
  • 422 — Validation Error

GET /api/v1/smartlists/{list_id}​

Get Smart List

Parameters

NameInRequiredTypeDescription
list_idpathYesinteger

Responses

  • 200 — Successful Response
  • 422 — Validation Error

PUT /api/v1/smartlists/{list_id}​

Update Smart List

Parameters

NameInRequiredTypeDescription
list_idpathYesinteger

Request body

FieldRequiredTypeDescription
nameNostring
descriptionNostring
filtersNoobject

Responses

  • 200 — Successful Response
  • 422 — Validation Error

DELETE /api/v1/smartlists/{list_id}​

Delete Smart List

Parameters

NameInRequiredTypeDescription
list_idpathYesinteger

Responses

  • 200 — Successful Response
  • 422 — Validation Error

GET /api/v1/smartlists/{list_id}/preview​

Preview Smart List

Parameters

NameInRequiredTypeDescription
list_idpathYesinteger

Responses

  • 200 — Successful Response
  • 422 — Validation Error